AWS IoT Device SDK C++ v2: Aws::Iotsecuretunneling::SecureTunnelingNotifyResponse Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotsecuretunneling::SecureTunnelingNotifyResponse Class Referencefinal

`#include <SecureTunnelingNotifyResponse.h>`

## Public Member Functions
| SecureTunnelingNotifyResponse ()=default
| SecureTunnelingNotifyResponse (const Crt::JsonView &doc)
SecureTunnelingNotifyResponse & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::String > | Region
Aws::Crt::Optional< Aws::Crt::String > | ClientMode
Aws::Crt::Optional< Aws::Crt::Vector< Aws::Crt::String > > | Services
Aws::Crt::Optional< Aws::Crt::String > | ClientAccessToken

## Constructor & Destructor Documentation

## ◆ SecureTunnelingNotifyResponse() [1/2]

Aws::Iotsecuretunneling::SecureTunnelingNotifyResponse::SecureTunnelingNotifyResponse | ( |  | ) |
| default

## ◆ SecureTunnelingNotifyResponse() [2/2]

Aws::Iotsecuretunneling::SecureTunnelingNotifyResponse::SecureTunnelingNotifyResponse | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

SecureTunnelingNotifyResponse & Aws::Iotsecuretunneling::SecureTunnelingNotifyResponse::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotsecuretunneling::SecureTunnelingNotifyResponse::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ClientAccessToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotsecuretunneling::SecureTunnelingNotifyResponse::ClientAccessToken

## ◆ ClientMode

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotsecuretunneling::SecureTunnelingNotifyResponse::ClientMode

## ◆ Region

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotsecuretunneling::SecureTunnelingNotifyResponse::Region

## ◆ Services

Aws::Crt::Optional<Aws::Crt::Vector<Aws::Crt::String> > Aws::Iotsecuretunneling::SecureTunnelingNotifyResponse::Services

The documentation for this class was generated from the following files:

- secure_tunneling/include/aws/iotsecuretunneling/SecureTunnelingNotifyResponse.h
- secure_tunneling/source/SecureTunnelingNotifyResponse.cpp